GET /data/datasets
neotomadb.org:neotoma-database-api
Summary: List datasets
Operation ID: listDatasets
Auth: unknown
Operation ID: listDatasets
Auth: unknown
Description
Retrieve a list of datasets with optional filtering.
Parameters (4)
datasettype
(string, query, optional)
Filter by dataset type (e.g., 'pollen', 'diatom')
limit
(integer, query, optional, default: 25)
Maximum number of results to return
offset
(integer, query, optional, default: 0)
Number of results to skip for pagination
siteid
(integer, query, optional)
Filter datasets by site ID
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Get first 10 datasets | curl |
https://api.neotomadb.org/data/datasets?limit=10 |
|
| Filter datasets by pollen type | curl |
https://api.neotomadb.org/data/datasets?datasettype=pollen&limit=5 |
|
| Get datasets for a specific site | curl |
https://api.neotomadb.org/data/datasets?siteid=1&limit=10 |
|
| List datasets | probe-gate |
https://api.neotomadb.org/v2.0/data/datasets?limit=25&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:24:55.598299 | 200 | 1394ms | |
| 2026-03-23 10:23:11.568991 | 200 | 733ms | |
| 2026-03-23 09:22:15.070658 | 200 | 751ms | |
| 2026-03-23 08:04:26.698012 | 200 | 997ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 11:24:55.598299 | c83cfe7421a1 |
f664cd848609 |